package com.house365.beans.vo.rest;

import javax.validation.constraints.NotNull;

/**
 * 获取用户积分信息
 */
public class UserCreditsVO extends CmRestCommonVO {

    //用户ID
    @NotNull
    private String userId;

    //用户注册城市
    private String userCityKey;

    //用户ID类型：1:用户中心账号 2:其他库账号
    private String useridType;

    //邀请用户接口用，其他情况不用考虑该参数
    private String isInviteUser;

    //兑换奖品用，会多关于兑换次数的几个参数，其他情况不考虑该参数
    private String needExchangeCount;

    private String pageSize;

    private String currentPage;

    public String getPageSize() {
        return pageSize;
    }

    public void setPageSize(String pageSize) {
        this.pageSize = pageSize;
    }

    public String getCurrentPage() {
        return currentPage;
    }

    public void setCurrentPage(String currentPage) {
        this.currentPage = currentPage;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserCityKey() {
        return userCityKey;
    }

    public void setUserCityKey(String userCityKey) {
        this.userCityKey = userCityKey;
    }

    public String getUseridType() {
        return useridType;
    }

    public void setUseridType(String useridType) {
        this.useridType = useridType;
    }

    public String getIsInviteUser() {
        return isInviteUser;
    }

    public void setIsInviteUser(String isInviteUser) {
        this.isInviteUser = isInviteUser;
    }

    public String getNeedExchangeCount() {
        return needExchangeCount;
    }

    public void setNeedExchangeCount(String needExchangeCount) {
        this.needExchangeCount = needExchangeCount;
    }
}
